Debian Bug report logs - #580322
[liblwt-ocaml] lwt thread canceling broken in 2.1.0

version graph

Package: liblwt-ocaml; Maintainer for liblwt-ocaml is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for liblwt-ocaml is src:lwt.

Reported by: Joost Yervante Damad <andete@debian.org>

Date: Wed, 5 May 2010 07:09:01 UTC

Severity: serious

Tags: patch

Found in version lwt/2.1.0-1

Fixed in version lwt/2.1.1-1

Done: Stéphane Glondu <glondu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#580322; Package liblwt-ocaml. (Wed, 05 May 2010 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <andete@debian.org>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Wed, 05 May 2010 07:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <andete@debian.org>
To: submit@bugs.debian.org
Subject: [liblwt-ocaml] lwt thread canceling broken in 2.1.0
Date: Wed, 5 May 2010 09:00:57 +0200
Package: liblwt-ocaml
Version: 2.1.0-1
Severity: important
Tags: patch

--- Please enter the report below this line. ---

lwt thread canceling is broken in lwt 2.1.0.
After discussion with upstream they came up with a set of fixes, which are 
available in DARCS:

http://ocsigen.org/darcsweb/?r=lwt;a=commit;h=20100504133633-
c41ad-7976869aa57bc45fe37045a1dc9cd46defcf5ec9.gz

http://ocsigen.org/darcsweb/?r=lwt;a=commit;h=20100504155722-c41ad-
a3a20adea6a21b00ab9052e8b4768803e053bec8.gz

It would be great if these fixes could be imported in the debian package.

Greetings, Joost Damad

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-trunk-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.nl.debian.org 
  500 stable          dl.google.com 

--- Package information. ---
Depends                     (Version) | Installed
=====================================-+-===========
libfindlib-ocaml-rqn85                | 
libreact-ocaml-ebm48                  | 
libtext-ocaml-4w712                   | 
ocaml-base-nox-3.11.2                 | 
libc6                      (>= 2.2.5) | 2.10.2-7


Package's Recommends field is empty.

Package's Suggests field is empty.








Severity set to 'serious' from 'important' Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Wed, 05 May 2010 08:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#580322; Package liblwt-ocaml. (Wed, 05 May 2010 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Wed, 05 May 2010 08:15:07 GMT) Full text and rfc822 format available.

Message #12 received at 580322@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Joost Yervante Damad <andete@debian.org>, 580322@bugs.debian.org
Subject: Re: Bug#580322: [liblwt-ocaml] lwt thread canceling broken in 2.1.0
Date: Wed, 05 May 2010 10:06:31 +0200
severity 580322 serious
thanks

Joost Yervante Damad a écrit :
> lwt thread canceling is broken in lwt 2.1.0.
> After discussion with upstream they came up with a set of fixes, which are 
> available in DARCS: [...]

We are currently investigating another issue with the lwt 2.1.0 /
ocsigen 1.3.2 combination. I'm raising this bug's priority to serious to
prevent the whole to migrate to testing until we know exactly what the
problem is.


Cheers,

-- 
Stéphane





Reply sent to Stéphane Glondu <glondu@debian.org>:
You have taken responsibility. (Sun, 13 Jun 2010 09:51:13 GMT) Full text and rfc822 format available.

Notification sent to Joost Yervante Damad <andete@debian.org>:
Bug acknowledged by developer. (Sun, 13 Jun 2010 09:51:13 GMT) Full text and rfc822 format available.

Message #17 received at 580322-close@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 580322-close@bugs.debian.org
Subject: Bug#580322: fixed in lwt 2.1.1-1
Date: Sun, 13 Jun 2010 09:47:21 +0000
Source: lwt
Source-Version: 2.1.1-1

We believe that the bug you reported is fixed in the latest version of
lwt, which is due to be installed in the Debian FTP archive:

liblwt-glib-ocaml-dev_2.1.1-1_amd64.deb
  to main/l/lwt/liblwt-glib-ocaml-dev_2.1.1-1_amd64.deb
liblwt-glib-ocaml_2.1.1-1_amd64.deb
  to main/l/lwt/liblwt-glib-ocaml_2.1.1-1_amd64.deb
liblwt-ocaml-dev_2.1.1-1_amd64.deb
  to main/l/lwt/liblwt-ocaml-dev_2.1.1-1_amd64.deb
liblwt-ocaml-doc_2.1.1-1_all.deb
  to main/l/lwt/liblwt-ocaml-doc_2.1.1-1_all.deb
liblwt-ocaml_2.1.1-1_amd64.deb
  to main/l/lwt/liblwt-ocaml_2.1.1-1_amd64.deb
liblwt-ssl-ocaml-dev_2.1.1-1_amd64.deb
  to main/l/lwt/liblwt-ssl-ocaml-dev_2.1.1-1_amd64.deb
lwt_2.1.1-1.debian.tar.gz
  to main/l/lwt/lwt_2.1.1-1.debian.tar.gz
lwt_2.1.1-1.dsc
  to main/l/lwt/lwt_2.1.1-1.dsc
lwt_2.1.1.orig.tar.gz
  to main/l/lwt/lwt_2.1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stéphane Glondu <glondu@debian.org> (supplier of updated lwt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 13 Jun 2010 11:33:56 +0200
Source: lwt
Binary: liblwt-ocaml-dev liblwt-ocaml liblwt-ssl-ocaml-dev liblwt-glib-ocaml-dev liblwt-glib-ocaml liblwt-ocaml-doc
Architecture: source all amd64
Version: 2.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Stéphane Glondu <glondu@debian.org>
Description: 
 liblwt-glib-ocaml - cooperative GLib bindings for OCaml (runtime)
 liblwt-glib-ocaml-dev - cooperative GLib bindings for OCaml
 liblwt-ocaml - cooperative light-weight thread library for OCaml (runtime)
 liblwt-ocaml-dev - cooperative light-weight thread library for OCaml
 liblwt-ocaml-doc - cooperative light-weight thread library (documentation)
 liblwt-ssl-ocaml-dev - cooperative OpenSSL bindings for OCaml
Closes: 580322
Changes: 
 lwt (2.1.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #580322)
   * Add libfindlib-ocaml-dev to Build-Depends
Checksums-Sha1: 
 546004ee376fc0954b9c2a630a8816b681b580ad 2185 lwt_2.1.1-1.dsc
 2fb268d6ef227720700cf610971637c5a40b6225 342996 lwt_2.1.1.orig.tar.gz
 ea78b53339056a8bb5d03c5aacabf938cc1d338f 5007 lwt_2.1.1-1.debian.tar.gz
 78439eecff5242a6af4c448feb1edd72579e918c 114406 liblwt-ocaml-doc_2.1.1-1_all.deb
 99f17210e4dba43102d2bd060e18c642f4f94b5f 738428 liblwt-ocaml-dev_2.1.1-1_amd64.deb
 58822a225166ce6f639cd86ad7b29aa0e06ea3f9 12564 liblwt-ocaml_2.1.1-1_amd64.deb
 3b8c2890ab64c82ede22e1ce36181f23f682ab09 13756 liblwt-ssl-ocaml-dev_2.1.1-1_amd64.deb
 8264ff53fd3fd49f1bd0275b299f2f4bb0a629bb 15372 liblwt-glib-ocaml-dev_2.1.1-1_amd64.deb
 2af9b6b114285c7fef1d43ffaf2dda6ea0966e0f 9928 liblwt-glib-ocaml_2.1.1-1_amd64.deb
Checksums-Sha256: 
 83ee5f75a9bc85713ff3ea0ad38ae1518567610bff736853a038e8a57bd1bd15 2185 lwt_2.1.1-1.dsc
 1c70db7b17c715a446c3c1db485d7c8841aa7b507612cbac82da67189f0656fe 342996 lwt_2.1.1.orig.tar.gz
 c191b27e079dccab8f133f729da4aa6c634472bbf26fcb1e37501c94041f784d 5007 lwt_2.1.1-1.debian.tar.gz
 07154a03a2b2c0dc86a2830223c66997064972311523c9b34912bad44ad3e500 114406 liblwt-ocaml-doc_2.1.1-1_all.deb
 fabe79f4e69a272c6a7e7aba9833e2c34f14bb8141a54ad7ed875270404650fc 738428 liblwt-ocaml-dev_2.1.1-1_amd64.deb
 2d5ac70761c124d59c8996e92202a549960fd22b9b0829d03f2af15d6f5bed38 12564 liblwt-ocaml_2.1.1-1_amd64.deb
 95fbfc5f973594257916b028b072b075584e7f1e432a4644a86016893d06d47c 13756 liblwt-ssl-ocaml-dev_2.1.1-1_amd64.deb
 be605bbbff401cab4c9dbaa79bec85302e9d0822d44d02de03533e4514d53704 15372 liblwt-glib-ocaml-dev_2.1.1-1_amd64.deb
 68e6160b8cf09da4a19dc25e5e6a7da5292b1ddf59937a20d99096b7d45ee6cd 9928 liblwt-glib-ocaml_2.1.1-1_amd64.deb
Files: 
 207403b5fd0c64504c5494474f127a1e 2185 ocaml optional lwt_2.1.1-1.dsc
 f885bb9bd5304a799bc75049dd034b6a 342996 ocaml optional lwt_2.1.1.orig.tar.gz
 4112aa51b257420489b41c73ea36058e 5007 ocaml optional lwt_2.1.1-1.debian.tar.gz
 8e59223e2843c992a9e34c0e771476e4 114406 doc optional liblwt-ocaml-doc_2.1.1-1_all.deb
 7974f87009aa7fc5dae916dd9cbbafc3 738428 ocaml optional liblwt-ocaml-dev_2.1.1-1_amd64.deb
 e6fb7938cbb0be97dc2313edf9f78047 12564 ocaml optional liblwt-ocaml_2.1.1-1_amd64.deb
 a2b5950387405d2aec4e5dcead39c484 13756 ocaml optional liblwt-ssl-ocaml-dev_2.1.1-1_amd64.deb
 6fc60651e282e2def9983ebf93a3512e 15372 ocaml optional liblwt-glib-ocaml-dev_2.1.1-1_amd64.deb
 b15564b792498ed6c17ea71892fdb978 9928 ocaml optional liblwt-glib-ocaml_2.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMFKfaAAoJEHhT2k1JiBrTZv0QAJQtcRQMKJhNpDHF0Sq64P4N
hFJyeeOWP/zo5Jm6DLCDNQBSZUG9NcheJjXq7/su4bP7eJgHF/iamhbzUKJV6E9n
Z6DpGSXWeLtQ9tIo28IQ6BGHiG772s/rQVN0KiX69bITaafhpnOwUHPaCTGsW00m
TriZDWJAwyJtc4Dx1LXAqYaOnRkOA9lU60hFHDr22JZkGoqPxdPSFCcIyodQDQ5Q
6L4J2JYmq2JilQBeD5+fCUOFajFylVX1DrVTKS2cXmcTVoQZNg+xftLRr1z6kdGK
LXamOuaqwliGKe91x4bf1tHPeQBMt4b2S9LTzC1V1YFyFDDO7aGMF4tlUxHAZwl6
Qi/UTet9BbQUnJLo+IK9/Kmd44VmQ45mlA8bfUCSvBsrzn0RkJiwwKimfrCFEjla
cAT5tLqB/T/dPAzcHbfjwbO0VkZdMYyy79xQpCFYLQLGttj4I1lZMOmZYrYIGofK
yzrmeuR/GNPP9dU6wMBTYgpnUDlHAAuY4F7WePIjLNOH8CmSOazXa7KcJICyJal+
iJ4sp/IGdTd1s6kUlhH2kozurOBdYyfM2Ra+1teeV6KhKE1E1zbswgJOHRPJU3LV
2YaEM7UmSevU8BWJL5eMzsUoNeOHBdEo6FXZS4a61HerDpieyo8jWfSgNKccp5ok
Hejmhm8mDnZZYMsC/tCq
=xVnL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Jul 2010 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:01:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.